## org.apache.poi.xssf.extractor
Class XSSFEventBasedExcelExtractor.SheetTextExtractor

    java.lang.Object
      org.apache.poi.xssf.extractor.XSSFEventBasedExcelExtractor.SheetTextExtractor

All Implemented Interfaces:
  XSSFSheetXMLHandler.SheetContentsHandler

Enclosing class:
  XSSFEventBasedExcelExtractor

    protected class XSSFEventBasedExcelExtractor.SheetTextExtractor

extends java.lang.Object
implements XSSFSheetXMLHandler.SheetContentsHandler

Constructor Summary
`protected` `XSSFEventBasedExcelExtractor.SheetTextExtractor(java.lang.StringBuffer output)`

Method Summary
`void` `cell(java.lang.String cellRef, java.lang.String formattedValue)` A cell, with the given formatted value, was encountered
`void` `endRow()` A row with the (zero based) row number has ended
`void` `headerFooter(java.lang.String text, boolean isHeader, java.lang.String tagName)` A header or footer has been encountered
`void` `startRow(int rowNum)` A row with the (zero based) row number has started

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFEventBasedExcelExtractor.SheetTextExtractor

    protected XSSFEventBasedExcelExtractor.SheetTextExtractor(java.lang.StringBuffer output)

Method Detail

### startRow

    public void startRow(int rowNum)

  Description copied from interface: `XSSFSheetXMLHandler.SheetContentsHandler`
  A row with the (zero based) row number has started

  Specified by:
    `startRow` in interface `XSSFSheetXMLHandler.SheetContentsHandler`

### endRow

    public void endRow()

  Description copied from interface: `XSSFSheetXMLHandler.SheetContentsHandler`
  A row with the (zero based) row number has ended

  Specified by:
    `endRow` in interface `XSSFSheetXMLHandler.SheetContentsHandler`

### cell

    public void cell(java.lang.String cellRef,
                     java.lang.String formattedValue)

  Description copied from interface: `XSSFSheetXMLHandler.SheetContentsHandler`
  A cell, with the given formatted value, was encountered

  Specified by:
    `cell` in interface `XSSFSheetXMLHandler.SheetContentsHandler`

### headerFooter

    public void headerFooter(java.lang.String text,
                             boolean isHeader,
                             java.lang.String tagName)

  Description copied from interface: `XSSFSheetXMLHandler.SheetContentsHandler`
  A header or footer has been encountered

  Specified by:
    `headerFooter` in interface `XSSFSheetXMLHandler.SheetContentsHandler`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.